//
//  ViewController.m
//  06-文件上传
//
//  Created by apple on 13-9-17.
//  Copyright (c) 2013年 carl. All rights reserved.
//

#import "ViewController.h"
#import "AFNetworking.h"

@interface ViewController () <UIActionSheetDelegate, UINavigationControllerDelegate, UIImagePickerControllerDelegate>

@end

@implementation ViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
    
    // UIImageWriteToSavedPhotosAlbum([UIImage imageNamed:@"1.jpg"], nil, nil, NULL);
    
    
	// Do any additional setup after loading the view, typically from a nib.
}

- (IBAction)getPhoto {
    UIActionSheet *sheet = [[UIActionSheet alloc] initWithTitle:@"请选择图片" delegate:self cancelButtonTitle:@"取消" destructiveButtonTitle:nil otherButtonTitles:@"拍照", @"相册", nil];
    [sheet showInView:self.view.window];
}

- (IBAction)upload {
    // 1.设置基准路径
    AFHTTPClient *client = [AFHTTPClient clientWithBaseURL:[NSURL URLWithString:@"http://169.254.178.47:8080/MJServer"]];
    
    // 2.初始化请求参数
    NSURLRequest *request = [client multipartFormRequestWithMethod:@"POST" path:@"upload" parameters:@{
                     @"username" : @"123",
                     @"pwd":@"456"}
        constructingBodyWithBlock:^(id<AFMultipartFormData> formData) {
        // 上传Default.png
        [formData appendPartWithFileURL:[[NSBundle mainBundle] URLForResource:@"Default" withExtension:@"png"] name:@"file" error:nil];
        
        // 上传新获得的图片文件
        NSData *data = UIImagePNGRepresentation(_imageView.image);
        [formData appendPartWithFileData:data name:@"file" fileName:@"456.png" mimeType:@"image/png"];
            
        // 上传artifacts.xml
        [formData appendPartWithFileURL:[[NSBundle mainBundle] URLForResource:@"artifacts" withExtension:@"xml"] name:@"file" error:nil];
        
        // 上传epl-v10.html
        [formData appendPartWithFileURL:[[NSBundle mainBundle] URLForResource:@"epl-v10" withExtension:@"html"] name:@"file" error:nil];
    }];
    
    
    // 发送请求上传文件
    AFHTTPRequestOperation *operation = [client HTTPRequestOperationWithRequest:request success:nil failure:nil];
    [operation start];
}

- (void)actionSheet:(UIActionSheet *)actionSheet clickedButtonAtIndex:(NSInteger)buttonIndex
{
    UIImagePickerController *vc = [[UIImagePickerController alloc] init];
    switch (buttonIndex) {
        case 0: // 拍照
            vc.sourceType = UIImagePickerControllerSourceTypeCamera;
            break;
        
        case 1: // 相册
            vc.sourceType = UIImagePickerControllerSourceTypePhotoLibrary;
            break;
            
        default:
            break;
    }
    
    // 设置代理
    vc.delegate = self;
    
    // 展示控制器
    [self presentViewController:vc animated:YES completion:nil];
}

#pragma mark 拍照完毕或者从相册中取完相片时调用
- (void)imagePickerController:(UIImagePickerController *)picker didFinishPickingMediaWithInfo:(NSDictionary *)info
{
    UIImage *image = info[UIImagePickerControllerOriginalImage];
    _imageView.image = image;
    
    // 关闭控制器
    [picker dismissViewControllerAnimated:YES completion:nil];
}
@end
